/***************************************************************************
 *   Copyright (C) 2005 by the G System Team                               *
 *   http://www.g-system.at                                                *
 *                                                                         *
 *   Permission is hereby granted, free of charge, to any person obtaining *
 *   a copy of this software and associated documentation files (the       *
 *   "Software"), to deal in the Software without restriction, including   *
 *   without limitation the rights to use, copy, modify, merge, publish,   *
 *   distribute, sublicense, and/or sell copies of the Software, and to    *
 *   permit persons to whom the Software is furnished to do so, subject to *
 *   the following conditions:                                             *
 *                                                                         *
 *   The above copyright notice and this permission notice shall be        *
 *   included in all copies or substantial portions of the Software.       *
 *                                                                         *
 *   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,       *
 *   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF    *
 *   MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.*
 *   IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR     *
 *   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, *
 *   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR *
 *   OTHER DEALINGS IN THE SOFTWARE.                                       *
 ***************************************************************************/

/****************************************************************************
** Form interface generated from reading ui file 'GweXmlConfiguratorBase.ui'
**
** Created: Sat Apr 2 20:28:11 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
****************************************************************************/

#ifndef GOD_GWEXMLCONFIGURATORBASE_H
#define GOD_GWEXMLCONFIGURATORBASE_H

#include <qvariant.h>
#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class KPushButton;
class KListView;
class QListViewItem;
class KURLRequester;

namespace GOD
{

class GweXmlConfiguratorBase : public QWidget
{
    Q_OBJECT

public:
    GweXmlConfiguratorBase( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~GweXmlConfiguratorBase();

    KPushButton* ButtonSave;
    KPushButton* ButtonReset;
    KListView* OptionsTree;
    KURLRequester* UrlRequester;

protected:
    QGridLayout* GweXmlConfiguratorBaseLayout;
    QSpacerItem* spacer1;

protected slots:
    virtual void languageChange();

};
}

#endif // GOD_GWEXMLCONFIGURATORBASE_H
