# Diese Datei wurde mit dem qmake-Manager von KDevelop erstellt. 
# ------------------------------------------- 
# Unterverzeichnis relativ zum Projektverzeichnis: ./src/worldengine
# Das Target ist eine Bibliothek:  GWE

INSTALLS += target 
target.path = /usr/local/lib 
HEADERS += GweController.h \
           GweSimpleController.h \
           GCoreXmlSerializer.h \
           GDataController.h \
           GweAdvancedController.h \
           GXmlDataController.h \
           GXmlNetwork.h \
           GXmppNetwork.h \
           GWorldEngineFactory.h \
           GweFactoryOption.h \
           GStorage.h 
SOURCES += GweSimpleController.cpp \
           GCoreXmlSerializer.cpp \
           GweAdvancedController.cpp \
           GXmlDataController.cpp \
           GXmppNetwork.cpp \
           GWorldEngineFactory.cpp \
           GweController.cpp \
           GStorage.cpp 
TARGETDEPS += ../../lib/libGCS.so \
              ../../lib/libGBE.so
LIBS += -lGCS \
        -lGBE
INCLUDEPATH += ../../src/basicelements \
               ../../src/core
MOC_DIR = ../../build/GWE/moc
OBJECTS_DIR = ../../build/GWE/obj
QMAKE_LIBDIR = ../../lib
TARGET = GWE
DESTDIR = ../../lib
CONFIG += debug \
          warn_on \
          qt \
          thread \
          exceptions \
          rtti
VERSION = 0.5.1
TEMPLATE = lib
include(xmpp.pri)
